Skip to main content
PUT
Update a contract enforcement level by id

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

UUID of the data contract

Body

application/json

Contract enforcement level

Represents an enforcement level associated with a contract.

enforcementLevel
enum<string>
required

The enforcement level for the contract

Available options:
RECORD,
NOTIFY,
ALERT,
BLOCK,
INACTIVE

Response

Update EnforcementLevel

Represents an enforcement level associated with a contract.

id
string<uuid>
required

Unique identifier for the contract enforcement level row in UUID format

contractId
string<uuid>
required

Unique identifier for the associated contract

createdAt
string<date-time>
required

Date and time at which the enforcement level was created

updatedAt
string<date-time>
required

Date and time at which the enforcement level was last updated

enforcementLevel
enum<string>
default:INACTIVE
required

alert level for contract

Available options:
RECORD,
NOTIFY,
ALERT,
BLOCK,
INACTIVE